Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Cannot resolve target platform due to javax.crypto
Cannot resolve target platform due to javax.crypto [message #1176543] Fri, 08 November 2013 06:52 Go to next message
Christian Pontesegger is currently offline Christian Pontesegger
Messages: 54
Registered: July 2009
Location: Graz, Austria
Member
Hi

For an offline Network in my company I wanted to create a local P2 site deploying my target platform. So on my "online network" machine I created a target definition which resolves fine. I then created a feature containing everything from the target and built an update site using tycho.

If I use that update site for a new target definition I get following error:
"<some package> requires 'package javax.crypto 0.0.0' but it could not be found"
There are multiple packages depending on javax.crypto. Where does it come from? I thought this is part of the JDT...

thanks for your help
Christian
Re: Cannot resolve target platform due to javax.crypto [message #1176594 is a reply to message #1176543] Fri, 08 November 2013 07:35 Go to previous messageGo to next message
Thorsten Schlathölter is currently offline Thorsten Schlathölter
Messages: 208
Registered: February 2012
Location: Düsseldorf
Senior Member
Hi Christian,
have you specified the correct execution environment for your bundles? It should be at least J2SE-1.4.

HTH
Thorsten
Re: Cannot resolve target platform due to javax.crypto [message #1180757 is a reply to message #1176594] Mon, 11 November 2013 01:15 Go to previous messageGo to next message
Christian Pontesegger is currently offline Christian Pontesegger
Messages: 54
Registered: July 2009
Location: Graz, Austria
Member
Thorsten Schlathölter wrote on Fri, 08 November 2013 07:35
have you specified the correct execution environment for your bundles?


Interesting question. All plug-ins come from the eclipse kepler repository. I will check...
Re: Cannot resolve target platform due to javax.crypto [message #1180919 is a reply to message #1180757] Mon, 11 November 2013 03:44 Go to previous message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5277
Registered: July 2009
Senior Member
On 11.11.13 07:15, Christian Pontesegger wrote:
> Thorsten Schlathölter wrote on Fri, 08 November 2013 07:35
>> have you specified the correct execution environment for your bundles?
>
>
> Interesting question. All plug-ins come from the eclipse kepler
> repository. I will check...
>

javax.crypto is from the JRE/EE. There's a known bug in the resolveing
of the target platform!

Tom

[1]https://bugs.eclipse.org/bugs/show_bug.cgi?id=284465
Previous Topic:Creating files based on templates
Next Topic:Including a diagram ditor in a MultiPageEditor
Goto Forum:
  


Current Time: Wed Aug 20 08:47:09 EDT 2014

Powered by FUDForum. Page generated in 0.09895 seconds